# Notas de crédito

## Obtener un listado de Notas de Crédito

<mark style="color:blue;">`GET`</mark> `https://{clave}.admintotal.com/api/v2/movimientos/notas_credito/`

#### Headers

| Name    | Type   | Description            |
| ------- | ------ | ---------------------- |
| Api-key | String | Token de autenticación |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "count": 162,
    "next": "https://{clave}.admintotal.com/api/v2/movimientos/notas_credito/",
    "previous": null,
    "results": [
        {
            "id": 25307,
            "fecha": "2021-11-04",
            "status_display": "Pendientes",
            "direccion_entrega": {
                "id": 3776,
                "municipio": "Hermosillo",
                "localidad": "",
                "estado": "Sonora",
                "calle": "Constitución 1 entre Benito Juarez y Cero",
                "colonia": "Colinas",
                "cp": "83145",
                "telefono": "6622323232",
                "email": "",
                "numero_e": "432",
                "numero_i": "",
                "pais_residencia": "MEX",
                "latitud": "0.00000000",
                "longitud": "0.00000000",
                "referencia": ""
            },
            "folio": 2094,
            "folio_completo": "2094",
            "url_pdf": "https://{clave}.admintotal.com/admin/pdf_nota_credito/25307/",
            "detalles": [
                {
                    "id": 91861,
                    "factura": 25263,
                    "producto": 19782,
                    "precio_unitario": "40.2003",
                    "iva": "6.432050",
                    "importe": "40.200315"
                }
            ],
            "cliente": {
                "id": 2754,
                "activo": true,
                "tipo_cliente": 1,
                "razon_social": "101 ALVI DCANCUN SA DE CV",
                "codigo": "21542",
                "referencia": "",
                "nombre_comercial": "",
                "sitio_web": "",
                "rfc": "RAP970203V75",
                "curp": "",
                "limite_credito": "500000.00",
                "representante_legal": "",
                "direccion": {
                    "id": 3776,
                    "municipio": "Hermosillo",
                    "localidad": "",
                    "estado": "Sonora",
                    "calle": "Constitución 1 entre Benito Juarez y Cero",
                    "colonia": "Colinas",
                    "cp": "83145",
                    "telefono": "6622323232",
                    "email": "",
                    "numero_e": "432",
                    "numero_i": "",
                    "pais_residencia": "MEX",
                    "latitud": "0.00000000",
                    "longitud": "0.00000000",
                    "referencia": ""
                },
                "bloquear_vencido": false,
                "dias_cortar_credito": 0,
                "saldo_pendiente": "8896.3300",
                "dias_credito": 0
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Obtener una Nota de crédito

<mark style="color:blue;">`GET`</mark> `https://{clave}.admintotal.com/api/v2/movimientos/notas_credito/:id/`

#### Headers

| Name    | Type   | Description            |
| ------- | ------ | ---------------------- |
| Api-key | String | Token de autenticación |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "count": 162,
    "next": "https://{clave}.admintotal.com/api/v2/movimientos/notas_credito/",
    "previous": null,
    "results": [
        {
            "id": 25307,
            "fecha": "2021-11-04",
            "status_display": "Pendientes",
            "direccion_entrega": {
                "id": 3776,
                "municipio": "Hermosillo",
                "localidad": "",
                "estado": "Sonora",
                "calle": "Constitución 1 entre Benito Juarez y Cero",
                "colonia": "Colinas",
                "cp": "83145",
                "telefono": "6622323232",
                "email": "",
                "numero_e": "432",
                "numero_i": "",
                "pais_residencia": "MEX",
                "latitud": "0.00000000",
                "longitud": "0.00000000",
                "referencia": ""
            },
            "folio": 2094,
            "folio_completo": "2094",
            "url_pdf": "https://{clave}.admintotal.com/admin/pdf_nota_credito/25307/",
            "detalles": [
                {
                    "id": 91861,
                    "factura": 25263,
                    "producto": 19782,
                    "precio_unitario": "40.2003",
                    "iva": "6.432050",
                    "importe": "40.200315"
                }
            ],
            "cliente": {
                "id": 2754,
                "activo": true,
                "tipo_cliente": 1,
                "razon_social": "101 ALVI DCANCUN SA DE CV",
                "codigo": "21542",
                "referencia": "",
                "nombre_comercial": "",
                "sitio_web": "",
                "rfc": "RAP970203V75",
                "curp": "",
                "limite_credito": "500000.00",
                "representante_legal": "",
                "direccion": {
                    "id": 3776,
                    "municipio": "Hermosillo",
                    "localidad": "",
                    "estado": "Sonora",
                    "calle": "Constitución 1 entre Benito Juarez y Cero",
                    "colonia": "Colinas",
                    "cp": "83145",
                    "telefono": "6622323232",
                    "email": "",
                    "numero_e": "432",
                    "numero_i": "",
                    "pais_residencia": "MEX",
                    "latitud": "0.00000000",
                    "longitud": "0.00000000",
                    "referencia": ""
                },
                "bloquear_vencido": false,
                "dias_cortar_credito": 0,
                "saldo_pendiente": "8896.3300",
                "dias_credito": 0
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.admintotal.com/api/notas-de-credito.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
